package io.zipcoder.polymorphism;

import java.util.*;

public class PetUtilities {
    public static void inputPetData(ArrayList<Pet> petList, String name, String type){

        if(type.equals("dog")) {
            petList.add(new Dog(name,type));
        } else if(type.equals("cat")) {
            petList.add(new Cat(name,type));
        } else if(type.equals("rock")) {
            petList.add(new Rock(name,type));
        } else {
            System.out.println("Your pet type is invalid");
        }
    }

    public static void displayPets(ArrayList<Pet> petList){
        for(Pet pet : petList)
            //System.out.println(pet.getName() + " : " + pet.getType() + " : " + pet.speak() );
            System.out.println("Your " + pet.getType() + " named " + pet.getName() + " says " + pet.speak());
    }
    public static void getPetData(ArrayList<Pet> petList, int numberOfPets){
        Scanner input = new Scanner(System.in);

        for (int i = 0; i < numberOfPets;i++){

            System.out.println("What is your pet's name?");
            String name = input.nextLine();

            System.out.println("What kind of pet is he/she");
            String type = input.nextLine();

            inputPetData(petList, name.toLowerCase(), type.toLowerCase());

        }

    }

    public static int getNumberOfPets(){
        Scanner input = new Scanner(System.in);
        System.out.println("How many pets do you have");
        int numberOfPets = input.nextInt();
        input.nextLine();

        return numberOfPets;
    }


}
